(function ($, Drupal, once) {
  Drupal.behaviors.editCronRadio = {
    attach: function (context, settings) {
      $('.comerce-alert').css({ 'color': 'red' });

      // Fetch the initial value of the radio button group.
      var setCron = $('input[name="cron_radio"]:checked').val();

      $(once('edit-cron-radio', 'input[type="radio"]', context)).on('click', function () {
        if ($(this).val() == 1) {
          setCron = '1';
        } else {
          setCron = '0';
        }

        // Initial visibility setup based on the initial value of setCron.
        if (setCron == '1') {
          $('.selected-date-identifier', context).hide();
          $('.interval-identifier', context).show();
        } else {
          console.info("dfdfdfd");
          $('.selected-date-identifier', context).show();
          $('.interval-identifier', context).hide();
        }
      });

      // Get Default Cron.
      if (setCron == '1') {
        $('.selected-date-identifier', context).hide();
        $('.interval-identifier', context).show();
      } else {
        $('.selected-date-identifier', context).show();
        $('.interval-identifier', context).hide();
      }
    }
  };
})(jQuery, Drupal, once);
